Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-18520

Google-secrets-manager: dependency conflicts brought by the component

Agile BoardAttach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Dependency upgrade
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 3.19.0
    • 3.19.0
    • camel-google
    • None
    • Unknown

    Description

      I noticed failed build of camel-quarkus google-secret-manager. The log is

      2022-09-16T06:55:52.5266134Z Dependency convergence error for com.google.api:api-common:2.1.3 paths to dependency are:
      2022-09-16T06:55:52.5267372Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5268132Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5268839Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5269506Z       +-com.google.api:api-common:2.1.3
      2022-09-16T06:55:52.5269908Z and
      2022-09-16T06:55:52.5270481Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5271187Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5271838Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5272501Z       +-com.google.api:api-common:2.2.0
      2022-09-16T06:55:52.5272956Z
      2022-09-16T06:55:52.5273109Z [WARNING]
      2022-09-16T06:55:52.5273765Z Dependency convergence error for com.google.api.grpc:proto-google-iam-v1:1.2.1 paths to dependency are:
      2022-09-16T06:55:52.5274528Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5275051Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5275482Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5275899Z       +-com.google.api.grpc:proto-google-iam-v1:1.2.1
      2022-09-16T06:55:52.5276150Z and
      2022-09-16T06:55:52.5276540Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5277045Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5277461Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5277858Z       +-com.google.api.grpc:proto-google-iam-v1:1.3.4
      2022-09-16T06:55:52.5278030Z
      2022-09-16T06:55:52.5278113Z [WARNING]
      2022-09-16T06:55:52.5279893Z Dependency convergence error for com.google.auto.value:auto-value-annotations:1.9 paths to dependency are:
      2022-09-16T06:55:52.5280662Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5281236Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5281734Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5282216Z       +-com.google.auto.value:auto-value-annotations:1.9
      2022-09-16T06:55:52.5282651Z and
      2022-09-16T06:55:52.5283387Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5283890Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5284323Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5284774Z       +-com.google.api.grpc:proto-google-cloud-secretmanager-v1:2.1.1
      2022-09-16T06:55:52.5285229Z         +-com.google.auto.value:auto-value-annotations:1.9
      2022-09-16T06:55:52.5285485Z and
      2022-09-16T06:55:52.5286227Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5286782Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5287216Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5287685Z       +-com.google.api.grpc:proto-google-cloud-secretmanager-v1beta1:2.1.1
      2022-09-16T06:55:52.5288297Z         +-com.google.auto.value:auto-value-annotations:1.9
      2022-09-16T06:55:52.5288558Z and
      2022-09-16T06:55:52.5288959Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5289446Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5289860Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5290292Z       +-com.google.api.grpc:proto-google-cloud-pubsub-v1:1.101.0
      2022-09-16T06:55:52.5290711Z         +-com.google.auto.value:auto-value-annotations:1.9
      2022-09-16T06:55:52.5290965Z and
      2022-09-16T06:55:52.5291370Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5291856Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5292271Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5292672Z       +-com.google.auto.value:auto-value-annotations:1.9
      2022-09-16T06:55:52.5292932Z and
      2022-09-16T06:55:52.5293319Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5293825Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5294274Z     +-com.google.auth:google-auth-library-oauth2-http:1.4.0
      2022-09-16T06:55:52.5294838Z       +-com.google.auto.value:auto-value-annotations:1.8.2
      2022-09-16T06:55:52.5295031Z
      2022-09-16T06:55:52.5295110Z [WARNING]
      2022-09-16T06:55:52.5295401Z Dependency convergence error for com.google.api:gax:2.11.0 paths to dependency are:
      2022-09-16T06:55:52.5295904Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5296379Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5296797Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5297139Z       +-com.google.api:gax:2.11.0
      2022-09-16T06:55:52.5297332Z and
      2022-09-16T06:55:52.5297720Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5298261Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5298644Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5298970Z       +-com.google.api:gax:2.18.1
      2022-09-16T06:55:52.5299116Z
      2022-09-16T06:55:52.5299192Z [WARNING]
      2022-09-16T06:55:52.5299610Z Dependency convergence error for com.google.api:gax-grpc:2.11.0 paths to dependency are:
      2022-09-16T06:55:52.5300292Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5300972Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5301564Z     +-com.google.cloud:google-cloud-secretmanager:2.1.1
      2022-09-16T06:55:52.5301911Z       +-com.google.api:gax-grpc:2.11.0
      2022-09-16T06:55:52.5302132Z and
      2022-09-16T06:55:52.5302532Z +-org.apache.camel.quarkus:camel-quarkus-google-secret-manager:2.13.0-SNAPSHOT
      2022-09-16T06:55:52.5303038Z   +-org.apache.camel:camel-google-secret-manager:3.19.0-20220915.103447-65
      2022-09-16T06:55:52.5303825Z     +-com.google.cloud:google-cloud-pubsub:1.119.0
      2022-09-16T06:55:52.5304198Z       +-com.google.api:gax-grpc:2.18.1
      

      As you can see, all conflicts are brought by org.apache.camel:camel-google-secret-manager:3.19.0-*

      Therefore I think that some versions has to be aligned in camel to not create such issues.

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            jondruse Jiri Ondrusek
            jondruse Jiri Ondrusek
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment